## NMDeviceOlpcMesh NMDeviceOlpcMesh |

## Functions

const char * | nm_device_olpc_mesh_get_hw_address ()
NMDeviceWifi * | nm_device_olpc_mesh_get_companion ()
guint32 | nm_device_olpc_mesh_get_active_channel ()

## Types and Values

#define | NM_DEVICE_OLPC_MESH_HW_ADDRESS
#define | NM_DEVICE_OLPC_MESH_COMPANION
#define | NM_DEVICE_OLPC_MESH_ACTIVE_CHANNEL

## Description

## Functions

### nm_device_olpc_mesh_get_hw_address ()

    const char *
    nm_device_olpc_mesh_get_hw_address (NMDeviceOlpcMesh *device);

`nm_device_olpc_mesh_get_hw_address` is deprecated and should not be used in newly-written code.

### nm_device_olpc_mesh_get_companion ()

    NMDeviceWifi *
    nm_device_olpc_mesh_get_companion (NMDeviceOlpcMesh *device);

### nm_device_olpc_mesh_get_active_channel ()

    guint32
    nm_device_olpc_mesh_get_active_channel
                                   (NMDeviceOlpcMesh *device);

## Types and Values

### NM_DEVICE_OLPC_MESH_HW_ADDRESS

    #define NM_DEVICE_OLPC_MESH_HW_ADDRESS     "hw-address"

### NM_DEVICE_OLPC_MESH_COMPANION

    #define NM_DEVICE_OLPC_MESH_COMPANION      "companion"

### NM_DEVICE_OLPC_MESH_ACTIVE_CHANNEL

    #define NM_DEVICE_OLPC_MESH_ACTIVE_CHANNEL "active-channel"